Subject: Re: [PATCH net-next v2] net/rds: use strscpy() to instead of strncpy()

From: <[email-masked]>
Date: Fri, 13 Jan 2023 15:13:12 +0800 (CST)

> What are the differences in behavior between strncpy() and strscpy()?

Strscpy() makes the dest string NUL-terminated, and returns more
useful value. While strncpy() can initialize the dest string.

Here we use strscpy() to make dest string NUL-terminated, and use
return value to check src string size and dest string size. This make
the code simpler.